Is my license valid for Pycharm 2.0?

Hi,

I have purchase Pycharm on Dec 10, 2010.

Can I upgrade to 2.0 with it?

Thanks, regards, Rujero

4 comments
Comment actions Permalink

Unfortunately not. Your license includes access to all upgrades released within a year from the purchase date, and PyCharm 2.0 was released on December 13th, 2011. You'll need to renew your license.

0
Comment actions Permalink

I purchased my license in March 2011. Still, it does not alllow my to upgrade to 2.0. Regards, Serge

0
Comment actions Permalink

Serge,
I just ran PyCharm 2.0.2, registered it with your license key, and it was accepted with no problems.

0
Comment actions Permalink

Sorry. I have to reverse myself. I used wrong license. So, I got it installed. One problem I saw is this

Failed modules

Python 2.7.1      (/opt/local/Library/Frameworks/Python.framework/Versions/2.7/bin/python2.7)

  • Nav

Generation of skeletons for the modules above will be tried again when the      modules are updated or a new version of generator is available.

Does it want a new Python version?

Thanks,

Serge

0

Please sign in to leave a comment.